> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.compositingmode.md).

# CompositingMode

Namespace: **System.Drawing.Drawing2D**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies how the source colors are combined with the background colors.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum CompositingMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum CompositingMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                                                                                                   |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **SourceCopy** | Specifies that when a color is rendered, it overwrites the background color.                                                                                  |
| **SourceOver** | Specifies that when a color is rendered, it is blended with the background color. The blend is determined by the alpha component of the color being rendered. |

## Used By

| Name                                                                                                                         | Description                                                                                                                                                    |
| ---------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Graphics.CompositingMode](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.compositingmode.md) | Gets or sets a value that specifies how composited images are drawn to this [Graphics](/system.drawing.managed/api/system.drawing/system.drawing.graphics.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.compositingmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
